Skip to main content
Server path: /chatbotkit-bots | Type: Application | PCID required: Yes

Tools


chatbotkit_bots_clone_bot

Clone bot Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesBot Id
bodyobjectYesRequest body

chatbotkit_bots_create_bot

Create bot Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoThe unique alias for the instance
backstorystringNoThe backstory this configuration is using
blueprintIdstringNoThe ID of the blueprint
datasetIdstringNoThe id of the dataset this configuration is using
descriptionstringNoThe associated description
metaobjectNoMeta data information
modelstringNoA model definition
moderationbooleanNoThe moderation flag for this configuration
namestringNoThe associated name
privacybooleanNoThe privacy flag for this configuration
skillsetIdstringNoThe id of the skillset this configuration is using
visibilitystringNoThe bot visibility

chatbotkit_bots_create_bot_session

Create bot session Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesThe ID of the bot for this session
durationInSecondsnumberNoThe maximum amount of time this session will stay open
messagesany[]NoAn array of messages to be included in the conversation
metaobjectNoMeta data information

chatbotkit_bots_create_skillset

Create skillset Parameters:
ParameterTypeRequiredDefaultDescription
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
visibilitystringNoThe skillset visibility

chatbotkit_bots_create_skillset_ability

Create ability Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesSkillset Id
blueprintIdstringNoThe ID of the blueprint
botIdstringNoThe ID of the bot associated with the ability
descriptionstringNoThe associated description
fileIdstringNoThe ID of the file associated with the ability
instructionstringNoThe instruction of the ability
metaobjectNoMeta data information
namestringNoThe associated name
secretIdstringNoThe ID of the secret associated with the ability
spaceIdstringNoThe ID of the space associated with the ability

chatbotkit_bots_delete_bot

Delete a bot Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesThe ID of the bot to delete

chatbotkit_bots_delete_skillset

Delete a skillset Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset to delete

chatbotkit_bots_delete_skillset_ability

Delete a ability from a skillset Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset
abilityIdstringYesThe ID of the ability to delete

chatbotkit_bots_execute_skillset_ability

Execute a skillset ability Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset containing the ability
abilityIdstringYesThe ID of the ability to execute
contactIdstringNoThe ID of the contact to associate with the execution
inputstringNoThe input to process with the ability. This can be structured text such as JSON or YAML for precise parameter control, or unstructured natural language text. When unstructured text is provided, the system will automatically detect and extract the relevant parameters from the input.

chatbotkit_bots_export_skillset_abilities

Export skillset abilities Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset to export
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve

chatbotkit_bots_fetch_bot

Fetch a bot Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesThe ID of the bot to retrieve

chatbotkit_bots_fetch_skillset

Fetch a skillset Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset to retrieve

chatbotkit_bots_fetch_skillset_ability

Fetch a ability from a skillset Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset
abilityIdstringYesThe ID of the ability to retrieve

chatbotkit_bots_list_bots

Retrieve a list of bots Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_bots_list_skillset_abilities

Retrieve a list of skillset abilities Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesThe ID of the skillset
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve

chatbotkit_bots_list_skillsets

Retrieve a list of skillsets Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoThe cursor to use for pagination
orderstringNoThe order of the paginated items
takeintegerNoThe number of items to retrieve
metaobjectNoKey-value pairs to filter the partner users by metadata

chatbotkit_bots_search_bot_memory

Search memories for a specific bot Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesThe ID of the bot to search memories for
searchstringYesThe keyword/phrase to search for

chatbotkit_bots_update_bot

Update bot Parameters:
ParameterTypeRequiredDefaultDescription
botIdstringYesBot Id
aliasstringNoThe unique alias for the instance
backstorystringNoThe backstory this configuration is using
blueprintIdstringNoThe ID of the blueprint
datasetIdstringNoThe id of the dataset this configuration is using
descriptionstringNoThe associated description
metaobjectNoMeta data information
modelstringNoA model definition
moderationbooleanNoThe moderation flag for this configuration
namestringNoThe associated name
privacybooleanNoThe privacy flag for this configuration
skillsetIdstringNoThe id of the skillset this configuration is using
visibilitystringNoThe bot visibility

chatbotkit_bots_update_skillset

Update skillset Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesSkillset Id
aliasstringNoThe unique alias for the instance
blueprintIdstringNoThe ID of the blueprint
descriptionstringNoThe associated description
metaobjectNoMeta data information
namestringNoThe associated name
visibilitystringNoThe skillset visibility

chatbotkit_bots_update_skillset_ability

Update a skillset ability Parameters:
ParameterTypeRequiredDefaultDescription
skillsetIdstringYesSkillset Id
abilityIdstringYesAbility Id
blueprintIdstringNoThe ID of the blueprint
botIdstringNoThe ID of the bot associated with the ability
descriptionstringNoThe associated description
fileIdstringNoThe ID of the file associated with the ability
instructionstringNoThe text to update the ability with
metaobjectNoMeta data information
namestringNoThe associated name
secretIdstringNoThe ID of the secret associated with the ability
spaceIdstringNoThe ID of the space associated with the ability